#
# spec file for package python-agate-sql
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-agate-sql
Version:        0.5.3
Release:        2.1
License:        MIT
Summary:        SQL read/write support for agate
Url:            http://agate-sql.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/agate-sql/agate-sql-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module agate >= 1.5.0}
BuildRequires:  %{python_module SQLAlchemy >= 1.0.8}
%endif
Requires:       python-agate >= 1.5.0
Requires:       python-SQLAlchemy >= 1.0.8
BuildArch:      noarch

%python_subpackages

%description
Agate-sql adds SQL read/write support to agate.

%prep
%setup -q -n agate-sql-%{version}
sed -i -e '/^#!\//, 1d' agatesql/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst README.rst
%license COPYING
%{python_sitelib}/*

%changelog
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 0.5.3
  * Add chunk_size option to :meth:`.Table.to_sql` to write rows in batches.
  * Add unique_constraint option to :meth:`.Table.to_sql` to include in a UNIQUE constraint.
  * Specify precision and scale for DECIMAL (MS SQL, MySQL, Oracle).
  * Set length of VARCHAR to 1 even if maximum length is 0 (MySQL).
  * Set type to TEXT if maximum length is greater than 21,844 (MySQL).
- Use license tag
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
